import { type Booking } from './schema';
declare class CalComApi {
    private readonly apiKey;
    private readonly baseUrl;
    constructor(apiKey: string);
    private constructUrl;
    getBooking(id: string): Promise<Booking>;
    createBooking(value: {
        eventTypeId: number;
        start: string;
        end?: string;
        responses: {
            name: string;
            email: string;
            metadata: object;
            location: string;
        };
        metadata?: object;
        timeZone: string;
        language: string;
        title?: string;
        recurringEventId?: number;
        status?: string;
        description?: string;
    }): Promise<Booking>;
    updateBooking(id: string, value: {
        title?: string;
        start?: string;
        end?: string;
        status?: string;
        description?: string;
    }): Promise<Booking>;
    deleteBooking(id: string, value: {
        allRemainingBookings?: boolean;
        cancellationReason?: string;
    }): Promise<void>;
}
export default CalComApi;
